com.amazonaws.services.elastictranscoder.model

## Class TestRoleRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.TestRoleRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class TestRoleRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `TestRoleRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`TestRoleRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TestRoleRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getInputBucket()` The Amazon S3 bucket that contains media files to be transcoded.
`String` `getOutputBucket()` The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to.
`String` `getRole()` The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.
`List<String>` `getTopics()` The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.
`int` `hashCode()`
`void` `setInputBucket(String inputBucket)` The Amazon S3 bucket that contains media files to be transcoded.
`void` `setOutputBucket(String outputBucket)` The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to.
`void` `setRole(String role)` The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.
`void` `setTopics(Collection<String> topics)` The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TestRoleRequest` `withInputBucket(String inputBucket)` The Amazon S3 bucket that contains media files to be transcoded.
`TestRoleRequest` `withOutputBucket(String outputBucket)` The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to.
`TestRoleRequest` `withRole(String role)` The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.
`TestRoleRequest` `withTopics(Collection<String> topics)` The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.
`TestRoleRequest` `withTopics(String... topics)` The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestRoleRequest

    public TestRoleRequest()

### Method Detail

#### setRole

    public void setRole(String role)

The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.

Parameters:
  `role` - The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.

#### getRole

    public String getRole()

The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.

Returns:
  The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.

#### withRole

    public TestRoleRequest withRole(String role)

The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.

Parameters:
  `role` - The IAM Amazon Resource Name (ARN) for the role that you want Elastic Transcoder to test.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputBucket

    public void setInputBucket(String inputBucket)

The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.

Parameters:
  `inputBucket` - The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.

#### getInputBucket

    public String getInputBucket()

The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.

Returns:
  The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.

#### withInputBucket

    public TestRoleRequest withInputBucket(String inputBucket)

The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.

Parameters:
  `inputBucket` - The Amazon S3 bucket that contains media files to be transcoded. The action attempts to read from this bucket.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutputBucket

    public void setOutputBucket(String outputBucket)

The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.

Parameters:
  `outputBucket` - The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.

#### getOutputBucket

    public String getOutputBucket()

The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.

Returns:
  The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.

#### withOutputBucket

    public TestRoleRequest withOutputBucket(String outputBucket)

The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.

Parameters:
  `outputBucket` - The Amazon S3 bucket that Elastic Transcoder writes transcoded media files to. The action attempts to read from this bucket.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTopics

    public List<String> getTopics()

The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

Returns:
  The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

#### setTopics

    public void setTopics(Collection<String> topics)

The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

Parameters:
  `topics` - The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

#### withTopics

    public TestRoleRequest withTopics(String... topics)

The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

NOTE: This method appends the values to the existing list (if any). Use `setTopics(java.util.Collection)` or `withTopics(java.util.Collection)` if you want to override the existing values.

Parameters:
  `topics` - The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTopics

    public TestRoleRequest withTopics(Collection<String> topics)

The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.

Parameters:
  `topics` - The ARNs of one or more Amazon Simple Notification Service (Amazon SNS) topics that you want the action to send a test notification to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TestRoleRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`